<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <link rel="stylesheet" type="text/css" href="./index.css">
    <title>CSS Introduction</title>
    <style type="text/css">
    /* Hierarchy of Styling Types
        1. Inline Styling
        2. Internal Styling
        3. External Styling */

        /* Syntax:
    tagName{
        property: value;
    } */
        h1{
            color: black !important;
        }
    </style>
</head>
<body>
    <!-- id is used as a unique selector -->
    <!-- id attribute values depends on the developer -->
    <!-- <tag idAttribute="id"> -->


    <nav id="top">
        <!-- don't forget to use number sign (#) to access an id -->
        <a href="#landing">Zuitt</a>
        <div>
            <a href="#landing">Landing</a>
            <a href="#register">Register</a>
        </div>
    </nav>

    <!-- Inline styling -->
    <!-- creating style directly on the tags -->
    <h1 style="color:red;">Hello, World</h1>

    <section id="landing">
        <h2>Welcome to Zuitt!</h2>
        <h3 id="zuitt-motto">Opportunities for everyone, everywhere</h3>
        <img src="https://place-puppy.com/450x450" alt="puppy photo"><br>
        <ol id="bootcamp-learning-list">
            <!-- <tag classAttribute="ClassName" -->
            <li class="offering-item">Day Classes</li>
            <li class="offering-item">Night Classes</li>
            <li class="offering-item">Intro to Coding events</li>
        </ol>
        <a href="#top">Back to Top</a>
    </section>

    <section id="register">
        <h2>Register</h2>
        <form action="">
            <label for="first-name">First Name</label>
            <input type="text" id="first-name" required autocomplete="on">

            <label for="last-name">Last Name</label>
            <input type="text" id="last-name" required autocomplete="on">
            <!-- by default, the value of autocomplete is on -->
            <label for="email">Email</label>
            <input type="email" id="email" required autocomplete="on"><

            <button type="submit">Apply Now</button>
        </form>
        <a href="#top">Back to Top</a>
    </section>
    
</body>
</html>